summary refs log tree commit diff
path: root/.local/bin/jira-codereview
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/jira-codereview')
-rwxr-xr-x.local/bin/jira-codereview4
1 files changed, 3 insertions, 1 deletions
diff --git a/.local/bin/jira-codereview b/.local/bin/jira-codereview
index 9fbdfc3..3b10c10 100755
--- a/.local/bin/jira-codereview
+++ b/.local/bin/jira-codereview
@@ -9,7 +9,9 @@ if test "$ticket"; then
     echo "Reviewing $ticket ..."
     # ugh
     #xdg-open https://proactivedealersolutions.atlassian.net/browse/$ticket
-    xdg-open "https://github.com/pulls?q=is%3Aopen+is%3Apr+user%3ABetterCarPeople+$ticket"
+    if ! test "$2" = "noopen"; then
+        xdg-open "https://github.com/pulls?q=is%3Aopen+is%3Apr+user%3ABetterCarPeople+$ticket"
+    fi
     #xdg-open "https://github.com/search?q=is%3Aopen+is%3Apr+org%3ABetterCarPeople+$ticket"
 else
     exit 1;